Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List project milestones

GET/workspaces/{organizationId}/projects/{projectId}/milestones
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
Responses
200

Project milestones

milestonesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
projectIdstringrequired
namestringrequired
descriptionstring | nullrequired
targetDatestring | nullrequired
completedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects/string/milestones' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "milestones": [
    {
      "id": "string",
      "organizationId": "string",
      "projectId": "string",
      "name": "string",
      "description": "string",
      "targetDate": "string",
      "completedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?